# Uses of Class
org.springframework.core.io.support.EncodedResource

Packages that use EncodedResource
Package
Description
org.springframework.core.io.support
Support classes for Spring's resource abstraction.

## Uses of EncodedResource in org.springframework.core.io.support

Methods in org.springframework.core.io.support with parameters of type EncodedResource
Modifier and Type
Method
Description
`PropertySource<?>`
DefaultPropertySourceFactory.`createPropertySource(String name, EncodedResource resource)`
`PropertySource<?>`
PropertySourceFactory.`createPropertySource(String name, EncodedResource resource)`
Create a `PropertySource` that wraps the given resource.
`static void`
PropertiesLoaderUtils.`fillProperties(Properties props, EncodedResource resource)`
Fill the given properties from the given EncodedResource, potentially defining a specific encoding for the properties file.
`static Properties`
PropertiesLoaderUtils.`loadProperties(EncodedResource resource)`
Load properties from the given EncodedResource, potentially defining a specific encoding for the properties file.
Constructors in org.springframework.core.io.support with parameters of type EncodedResource
Modifier
Constructor
Description
``
`ResourcePropertySource(String name, EncodedResource resource)`
Create a PropertySource having the given name based on Properties loaded from the given encoded resource.
``
`ResourcePropertySource(EncodedResource resource)`
Create a PropertySource based on Properties loaded from the given resource.